com.r3corda.core.crypto / X509Utilities / createKeystoreForSSL

# createKeystoreForSSL

`fun createKeystoreForSSL(keyStoreFilePath: Path, storePassword: String, keyPassword: String, caKeyStore: KeyStore, caKeyPassword: String): KeyStore`

An all in wrapper to manufacture a server certificate and keys all stored in a KeyStore suitable for running TLS on the local machine

### Parameters

`keyStoreFilePath` - KeyStore path to save output to
`storePassword` - access password for KeyStore
`keyPassword` - PrivateKey access password for the generated keys. It is recommended that this is the same as the storePassword as most TLS libraries assume they are the same.
`caKeyStore` - KeyStore containing CA keys generated by createCAKeyStoreAndTrustStore
`caKeyPassword` - password to unlock private keys in the CA KeyStore

Return
The KeyStore created containing a private key, certificate chain and root CA public cert for use in TLS applications